{ pkgs, config, ... }:

{
  age.secrets.mediawiki-admin-passwd = {
    file = ../../secrets/mediakiwi/mediawiki-admin-passwd.age;
    owner = "mediawiki";
  };

  services.mediawiki = {
    enable = true;

    httpd.virtualHost = {
      hostName = "mediakiwi.crans.org";
      adminAddr = "root@crans.org";

      listen = [
        {
          ip = "127.0.0.1";
          port = 8080;
        }
      ];
    };

    passwordFile = config.age.secrets.mediawiki-admin-passwd.path;

    extraConfig = ''
      # contact info
      $wgEmergencyContact = 'contact@crans.org';
    
      # default theme
      $wgDefaultSkin = 'citizen';

      $wgLanguageCode = 'fr';

      # Disable anonymous editing
      $wgGroupPermissions['*']['edit'] = false;
    '';

    skins = {
      Citizen = pkgs.fetchFromGitHub {
        owner = "StarCitizenTools";
        repo = "mediawiki-skins-Citizen";
        tag = "v3.2.0";
        sha256 = "sha256-XtjYMBK2pINwbAzAKFJ+nWxcFXQd2E/Gqf3x+3Pa8VE=";
      };
    };
  };
}
